I have an iPod touch 2g running on iOS 4.2.1. Whenever I download an up like iBooks it says that I need to upgrade to 4.3.. But when I check on iTunes 11 it says that my iOS is the latest.. Ideas?

I have an iPod touch 2g running on iOS 4.2.1. Whenever I download an up like iBooks it says that I need to upgrade to 4.3.. But when I check on iTunes 11 it says that my iOS is the latest.. Ideas?

The 2G iPod can only go as high as iOS 4.2.1. If you want apps that require an iOS higher than 4.2.1 you need a newer model iPod.

Similar Messages

Maybe you are looking for

  • Need to convert PageMaker 6.5 Plus files from Windows XP to PDF for Windows 7.

    I need to convert PageMaker 6.5 Plus files into PDF from a Windows XP operating system to a Windows 7 operating system. It tells me I need a postscript printer. I don't have a postscript printer and really don't want to print them. I just want to tra

  • Recording audio from NI Maschine

    I am fairly new to Logic Studio, but I have figured out some of the basics. I am having issues as I try to record the audio from my NI Maschine plugin. The issue is that I can plug in the Maschine as an insert in an audio instrument track, and I leav

  • Created multiple sites.. 1 on dotmac and want to save 2nd to folder...

    I have created a home website and wanted to create one for school.... I'm a teacher. How can I save the 2nd site to a folder to store for school w/o including my original site? I've already made the site and hope I haven't wasted my time. Thanks!

  • Problem during the XI Post Installation in XI 3.0

    Hi, I have completed the XI Installation and doing the post installation activities in 3.0. When i try to create the RFC Destinations using SM59, I am getting the following error for INTEGRATION_DIRECTORY_HMI After completing the technical details an

  • Runtime Error -Help pls

    Hi i wrote a small java program, when i am trying on Netscape IDE5.0 it is compilng and gives output well The same program when i am compiling using MSDOS without IDE then it is compiling well but at runtime throwing the error like below C:\>java tes


HashFlare